All Apps and Add-ons

Splunk Deep Learning Toolkit Setup - Python Traceback WinError 10061

SplunkHead10
Explorer

Hello community,

I am currently looking into the DLTK App provided by Splunk. 
I could install Docker on my Win Server as requiered.

But after configuring the DLTK App (Adding Docker Host) i get the following error:

Traceback (most recent call last): File "C:\Program Files\Splunk\Python-3.7\lib\site-packages\urllib3\connection.py", line 160, in _new_conn (self._dns_host, self.port), self.timeout, **extra_kw File "C:\Program Files\Splunk\Python-3.7\lib\site-packages\urllib3\util\connection.py", line 84, in create_connection raise err File "C:\Program Files\Splunk\Python-3.7\lib\site-packages\urllib3\util\connection.py", line 74, in create_connection sock.connect(sa) ConnectionRefusedError: [WinError 10061] No connection could be made because the target machine actively refused it During handling of the above exception, another exception occurred: Traceback (most recent call last):

 

Thanks 

 

Labels (3)
Tags (4)
0 Karma

pdrieger_splunk
Splunk Employee
Splunk Employee

Hi @SplunkHead10 - it looks like either a connection issue to your docker host. Depending on your docker host system you might need to expose the management port - e.g. when running Docker on Windows. There has been a few similar question being answered on these topics here, can you have a look if those help:

https://community.splunk.com/t5/All-Apps-and-Add-ons/How-can-I-get-rid-of-quot-Connection-refused-qu...

Otherwise: can you share more information about your setup: which OS are your running on? Is your SH on the same instance as docker or do you have a separate instances?

0 Karma